<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=utf-8" />
    <link rel="stylesheet" href="<?php echo JURI::root(true)?>/plugins/system/jvgallery/jvgallery/admin/bootstrap/css/bootstrap.css" />
    <link rel="stylesheet" href="<?php echo JURI::root(true)?>/plugins/system/jvgallery/jvgallery/admin/css/gallery.css" />
    <link rel="stylesheet" href="<?php echo JURI::root(true)?>/plugins/system/jvgallery/jvgallery/admin/jqueryFileTree.css" />
    <script type="text/javascript" src="<?php echo JURI::root(true)?>/plugins/system/jvgallery/jvgallery/admin/js/jquery.min.js"></script>
    <script src="//ajax.googleapis.com/ajax/libs/jqueryui/1.8.23/jquery-ui.min.js"></script>
    <script type="text/javascript" src="<?php echo JURI::root(true)?>/plugins/system/jvgallery/jvgallery/admin/js/jqueryFileTree.js"></script>
    <script type="text/javascript" src="<?php echo JURI::root(true)?>/plugins/system/jvgallery/jvgallery/admin/bootstrap/js/bootstrap.min.js"></script>
    <script type="text/javascript">
        jQuery(function($){
            var url  		= '<?php echo $url; ?>/',
                items 		= $('#items').sortable(),
                filemanager = $('#filemanager'),
                datas= imgs = []
                ;

            filemanager.fileTree({ root: '<?php echo $dir;?>',  script: 'index.php?connector=1' }, function(el) {
                if(el.is('.active')){
                    el.removeClass('active');
                    el.data().refer.remove();
                }else{
                    el.addClass('active');
                    el.data().refer =$('<li/>', {'class': 'clearfix'})
                        .append($('<label/>').append($('<img/>', {src: url+el.attr('rel'), rel: el.attr('rel'), 'class':'image'})))
                        .append($('<input/>', {class: 'span4', type: 'text',name: 'title', 'placeholder': 'Enter title...'}).keyup(function(){items.trigger('dataChange')}))
                        .append($('<textarea/>', {class: 'span4',name: 'desc', 'placeholder': 'Enter description...'}).keyup(function(){items.trigger('dataChange')}))
                        .append($('<span/>', { 'class': 'close','text':'x'}).click(function(){
                            el.trigger('click');
                        }));

                    items.append(el.data().refer);
                    el.data().refer.data().refer = el;
                }
                items.trigger('dataChange', el);

            });

            items.bind('dataChange', function(img){
                datas = [];
                imgs  = [];
                items.children().map(function(index, el){
                    var data = {};

                    data.img   = $(el).find('img').eq(0).attr('rel');
                    data.title = $(el).find('input').eq(0).val();
                    data.desc  = $(el).find('textarea').eq(0).val();

                    datas.push(data);
                    imgs.push($(el).find('img').eq(0).attr('rel'));
                });

            });

            filemanager.bind('ajaxSuccess', function(data){
                filemanager.find('li.file a').each(function(index, el){
                    var rel = $(this).attr('rel');

                    if(jQuery.inArray(rel, imgs) >= 0){
                        $(el).addClass('active');
                    }
                });

            });

            $('#btn_insert').click(function(){
                var insertData = {};
                insertData.images  = datas;
                insertData.options = {};

                $('.controls select, .controls input').each(function(){
                    var name = $(this).attr('name');

                    insertData.options[name] = $(this).val();
                });

                parent.JVGalleryInsert(JSON.stringify(insertData))
            });

            $('#btn_cancel').click(function(){
                parent.JVGalleryCancel()
            });

            var ResizeToggle = function(value){
                if(value == 1) {
                    $('.resize').show()
                } else {
                    $('.resize').hide()
                };
            };

            ResizeToggle($('#resize').val());
            $('#resize').change(function(){ResizeToggle($(this).val())});
        });
    </script>
</head>
<body>
<form action="" class="form-horizontal">
<fieldset class="jvgallery">
    <div id="allitems">
        <ul id="items"></ul>
    </div>
    <div id="filetree">
        <div id="filemanager"></div>
    </div>
    <ul class="nav nav-tabs" id="myTab">
        <li><a href="#tab-gallery" data-toggle="tab">Gallery</a></li>
        <li><a href="#tab-layout" data-toggle="tab">Layout</a></li>
    </ul>
    <div class="tab-content">
        <div class="tab-pane" id="tab-gallery">
            <div class="row-fluid">
                <div class="span6">
                    <div class="control-group">
                        <label class="control-label" for="theme"><?php echo JText::_('JVGALLERY_PARAM_CHOOSE_THEME')?></label>
                        <div class="controls">
                            <select id="theme" name="theme">
                                <?php if(is_array($themes)){
                                    foreach ($themes as $theme) :?>
                                        <option value="<?php echo $theme; ?>"><?php echo ucfirst($theme); ?></option>
                                    <?php 	endforeach;}?>
                            </select>
                        </div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="lightbox"><?php echo JText::_('JVGALLERY_PARAM_LIGHTBOX')?></label>
                        <div class="controls">
                            <select id="lightbox" name="lightbox">
                                <option value="slimbox">Slimbox</option>
                                <option value="fancybox">FancyBox</option>
                            </select>
                        </div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="caption"><?php echo JText::_('JVGALLERY_PARAM_CAPTION')?></label>
                        <div class="controls">
                            <select id="caption" name="caption">
                                <option value="1"><?php echo JText::_('JVGALLERY_PARAM_CAPTION_TITLE')?></option>
                                <option value="2"><?php echo JText::_('JVGALLERY_PARAM_CAPTION_DESC')?></option>
                                <option value="3"><?php echo JText::_('JVGALLERY_PARAM_CAPTION_BOTH')?></option>
                                <option value="0"><?php echo JText::_('JVGALLERY_PARAM_CAPTION_NONE')?></option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="span6">
                    <div class="control-group">
                        <label class="control-label" for="resize"><?php echo JText::_('JVGALLERY_PARAM_RESIZE')?></label>
                        <div class="controls">
                            <select id="resize" name="create_thumb">
                                <option value="1"><?php echo JText::_('JYES')?></option>
                                <option value="0"><?php echo JText::_('JNO')?></option>
                            </select>
                        </div>
                    </div>
                    <div class="control-group resize">
                        <label class="control-label" for="thumb_width"><?php echo JText::_('JVGALLERY_PARAM_THUMB_WIDTH')?></label>
                        <div class="controls">
                            <input id="thumb_width" name="thumb_width" type="text"  value="300"/>
                        </div>
                    </div>
                    <div class="control-group resize">
                        <label class="control-label" for="thumb_height"><?php echo JText::_('JVGALLERY_PARAM_THUMB_HEIGHT')?></label>
                        <div class="controls">
                            <input id="thumb_height" name="thumb_height" type="text" value="300"/>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="tab-pane" id="tab-layout">
            <div class="row-fluid">
                <div class="span6">
                    <div class="control-group">
                        <label class="control-label" for="layout"><?php echo JText::_('JVGALLERY_PARAM_LAYOUT')?></label>
                        <div class="controls">
                            <select id="layout" name="layout">
                                <option value="grid"><?php echo JText::_('GRID')?></option>
                                <option value="list"><?php echo JText::_('LIST')?></option>
                            </select>
                        </div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="grid"><?php echo JText::_('JVGALLERY_PARAM_GRID_MODE')?></label>
                        <div class="controls">
                            <select id="grid" name="grid">
                                <option value="fixed"><?php echo JText::_('FIXED')?></option>
                                <option value="fluid" selected="selected"><?php echo JText::_('FLUID')?></option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="span6">
                    <div class="control-group">
                        <label class="control-label" for="columns"><?php echo JText::_('JVGALLERY_PARAM_COLUMN')?></label>
                        <div class="controls">
                            <input id="columns" name="columns" type="text" value="5"/>
                        </div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="col_width"><?php echo JText::_('JVGALLERY_PARAM_WIDTH')?></label>
                        <div class="controls">
                            <input id="col_width" name="col_width" type="text" value="25%"/>
                        </div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="gutter"><?php echo JText::_('JVGALLERY_PARAM_GUTTER')?></label>
                        <div class="controls">
                            <input id="gutter" name="gutter" type="text" value="2%"/>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script>
        jQuery(function () {
            jQuery('#myTab a:first').tab('show');
        })
    </script>
</fieldset>
<br />
<button type="submit" id="btn_insert" class="btn btn-primary">Insert</button>
<button type="button" id="btn_cancel" class="btn">Cancel</button>
</form>
</body>
</html>