<?php
/**
 # plg_system_jvgallery - JV Gallery
 # @version		2.5.*
 # ------------------------------------------------------------------------
 # author    Open Source Code Solutions Co
 # copyright Copyright (C) 2011 joomlavi.com. All Rights Reserved.
 # @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL or later.
 # Websites: http://www.joomlavi.com
 # Technical Support:  http://www.joomlavi.com/my-tickets.html
-------------------------------------------------------------------------*/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

$doc->addStyleSheet($this->toUrl(dirname(__FILE__).'/css/template.css'));
$doc->addScript($asset.'/js/gallery.js');
$doc->addScriptDeclaration("
	jQuery(function($){ 
		$('.style1 li').each(function(){ 
			var el = $(this); 
			el.hover(function(){ 
				$(this).find('.jv-caption').fadeIn('slow'); 
			});
			el.mouseleave(function(){ 
				$(this).find('.jv-caption').fadeOut('slow'); 
			});  
		}); 
	})
");
?>
<?php if(is_array($images)):?>
<div class="jvgallery" <?php echo implode(' ',$data); ?>>
	<ul class="gallery-item style1">
        <?php foreach($images as $image): ?>        
            <li class="box">
                <img src="<?php echo $image->thumbnail; ?>" title="<?php echo $image->title; ?>"  alt="<?php echo $image->desc; ?>" />
                <div class="jv-caption"><div>
                	<?php if ($image->title && in_array($option->caption, array(1,3))):?>
						<h3 class="gallery-title"><?php echo $image->title; ?></h3>
					<?php endif;?>
					<?php if ($image->desc && in_array($option->caption, array(2,3))):?>
						<p><?php echo $image->desc ?></p>
					<?php endif;?>
                    <a href="<?php echo $image->img; ?>" rel="jvgallery" title="<?php echo $image->title; ?>" class="zoom handler">
                   		<span>Zoom</span>
                	</a>
                    
                </div></div>
            </li>
        <?php endforeach;?>
   </ul>
</div>
<?php endif; 